[145025] users/devans/GNOME-3/stable/dports/gnome
devans at macports.org
devans at macports.org
Sat Jan 23 15:36:09 PST 2016
Revision: 145025
https://trac.macports.org/changeset/145025
Author: devans at macports.org
Date: 2016-01-23 15:36:09 -0800 (Sat, 23 Jan 2016)
Log Message:
-----------
GNOME-3/stable: gnome-characters, new port, a simple utility application to find and insert unusual characters.
Added Paths:
-----------
users/devans/GNOME-3/stable/dports/gnome/gnome-characters/
users/devans/GNOME-3/stable/dports/gnome/gnome-characters/Portfile
users/devans/GNOME-3/stable/dports/gnome/gnome-characters/files/
users/devans/GNOME-3/stable/dports/gnome/gnome-characters/files/autogen.sh
Added: users/devans/GNOME-3/stable/dports/gnome/gnome-characters/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-characters/Portfile (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-characters/Portfile 2016-01-23 23:36:09 UTC (rev 145025)
@@ -0,0 +1,58 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:filetype=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem 1.0
+PortGroup gobject_introspection 1.0
+
+name gnome-characters
+version 3.18.1
+license GPL-2+
+set branch [join [lrange [split ${version} .] 0 1] .]
+description A simple utility application to find and insert unusual characters.
+long_description ${description}
+maintainers devans openmaintainer
+categories gnome
+platforms darwin
+homepage https://wiki.gnome.org/Design/Apps/CharacterMap
+master_sites gnome:sources/${name}/${branch}/
+
+use_xz yes
+
+checksums rmd160 44c47a54edf2a983e18a7c8dbbf90fcb893f10a3 \
+ sha256 161839bb6c1ffca78b6c11b8d4f3f32b8263705911df0aed3268672c050b9bac
+
+depends_build port:pkgconfig \
+ port:intltool \
+ port:appstream-glib \
+ port:gnome-common \
+ port:autoconf \
+ port:automake \
+ port:libtool
+
+depends_lib port:desktop-file-utils \
+ port:gtk3 \
+ port:gjs \
+ port:gnome-desktop
+
+depends_run port:gnome-themes-standard
+
+gobject_introspection yes
+
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
+
+post-patch {
+ xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd ./autogen.sh
+
+configure.args --disable-schemas-compile \
+ --disable-silent-rules
+
+post-activate {
+ system "${prefix}/bin/gtk-update-icon-cache-3.0 -f -t ${prefix}/share/icons/hicolor"
+ system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
+ system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
+}
+
+livecheck.type gnome
Property changes on: users/devans/GNOME-3/stable/dports/gnome/gnome-characters/Portfile
___________________________________________________________________
Added: svn:keywords
+ Id
Added: svn:eol-style
+ native
Added: users/devans/GNOME-3/stable/dports/gnome/gnome-characters/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-characters/files/autogen.sh (rev 0)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-characters/files/autogen.sh 2016-01-23 23:36:09 UTC (rev 145025)
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ACLOCAL_FLAGS="${ACLOCAL_FLAGS}"
+
+test -f $srcdir/configure.ac || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level gnome-characters directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from GNOME Git (or from"
+ echo "your OS vendor's package manager)."
+ exit 1
+}
+
+# gllib/unictype contains gperf generated source code
+: ${GPERF=gperf}
+"$GPERF" --version 2>&1 >/dev/null || {
+ echo "You need to install gperf."
+ exit 1
+}
+
+(cd "$srcdir" ;
+test -d m4 || mkdir m4/ ;
+git submodule update --init --recursive ;
+test -z "$GNULIB_SRCDIR" || \
+ "$GNULIB_SRCDIR"/gnulib-tool --import \
+ --source-base=gllib --m4-base=glm4 --tests-base=gltests \
+ --libtool --no-vc-files \
+ libunistring-optional \
+ unicase/tolower \
+ unicase/toupper \
+ unicase/totitle \
+ unictype/block-all \
+ unictype/category-all \
+ unictype/ctype-print \
+ unictype/mirror \
+ unictype/property-all \
+ unictype/scripts-all \
+ uninorm/canonical-decomposition \
+ unistr/u32-to-u8 \
+ unitypes \
+ uniname/uniname ;
+)
+. gnome-autogen.sh
+
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160123/522ea7fb/attachment-0001.html>
More information about the macports-changes
mailing list